"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveAppFunction = void 0;
const resolve_1 = __importDefault(require("resolve"));
const defaultOptions = {};
const resolveAppFunction = async (appFnId, opts) => {
    opts = opts || defaultOptions;
    // These are mostly to ease testing
    const basedir = opts.basedir || process.cwd();
    const resolver = opts.resolver || resolve_1.default.sync;
    const appFnPath = resolver(appFnId, { basedir });
    // On windows, an absolute path may start with a drive letter, e.g. C:/path/to/file.js
    // This can be interpreted as a protocol, so ensure it's prefixed with file://
    const appFnPathWithFileProtocol = appFnPath.replace(/^([a-zA-Z]:)/, "file://$1");
    const { default: mod } = await import(appFnPathWithFileProtocol);
    // mod.default gets exported by transpiled TypeScript code
    return mod.__esModule && mod.default ? mod.default : mod;
};
exports.resolveAppFunction = resolveAppFunction;
//# sourceMappingURL=resolve-app-function.js.map