/// <reference types="node" />
/// <reference types="node/http.js" />
/// <reference types="pino-http" />
import type { Server as HttpServer } from "node:http";
import { type Application } from "express";
import type { Logger } from "pino";
import type { ApplicationFunction, ServerOptions } from "../types.js";
import type { Probot } from "../index.js";
export declare const defaultWebhooksPath = "/api/github/webhooks";
export declare class Server {
    static version: string;
    expressApp: Application;
    log: Logger;
    version: string;
    probotApp: Probot;
    private state;
    constructor(options?: ServerOptions);
    load(appFn: ApplicationFunction): Promise<void>;
    start(): Promise<HttpServer<typeof import("http").IncomingMessage, typeof import("http").ServerResponse>>;
    stop(): Promise<unknown>;
    router(path?: string): import("express-serve-static-core").Router;
}
